summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author ponce <matteo.bernardini@gmail.com>2011-12-27 01:29:52 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-12-27 10:15:24 -0600
commit63bd729f5fdb32d282efe72db4e88e7dbb852f33 (patch)
tree00e5f02d132d260c9bebfbe1a1f0d796576a8ce8 /desktop
parent9ed05e95642787e30aba0b69f01425588f9dceb8 (diff)
downloadslackbuilds-63bd729f5fdb32d282efe72db4e88e7dbb852f33.tar.gz
slackbuilds-63bd729f5fdb32d282efe72db4e88e7dbb852f33.tar.xz
desktop/lxde-common: Updated for version 0.5.5
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/lxde-common/README12
-rw-r--r--desktop/lxde-common/config/config4
-rw-r--r--desktop/lxde-common/config/panel184
-rw-r--r--desktop/lxde-common/config/panel.patch101
-rw-r--r--desktop/lxde-common/doinst.sh18
-rw-r--r--desktop/lxde-common/lxde-common.SlackBuild44
-rw-r--r--desktop/lxde-common/lxde-common.info8
-rw-r--r--desktop/lxde-common/slack-desc4
8 files changed, 244 insertions, 131 deletions
diff --git a/desktop/lxde-common/README b/desktop/lxde-common/README
index a7b469b4b5..5a7617206b 100644
--- a/desktop/lxde-common/README
+++ b/desktop/lxde-common/README
@@ -1,10 +1,6 @@
lxde-common (a set of default configurations for LXDE)
-lxde-common package provides a set of default configurations and bitmaps
-for LXDE. lxde-settings is the XSettings daemon of LXDE. It presents
-configuration values to other programs via the XSETTINGS protocol defined
-by freedesktop.org.
-
-If you are using this with pcmanfm2 (next generation pcmanfm), launch the
-slackbuild passing it the variable NGPCMANFM=yes like this NGPCMANFM=yes
-./lxde-common.Slackbuild
+The lxde-common package provides a set of default configurations and bitmaps
+for LXDE.
+lxde-settings is the XSettings daemon of LXDE. It presents configurations
+values to other programs via the XSETTINGS protocol defined by freedesktop.org.
diff --git a/desktop/lxde-common/config/config b/desktop/lxde-common/config/config
new file mode 100644
index 0000000000..f3ba910d89
--- /dev/null
+++ b/desktop/lxde-common/config/config
@@ -0,0 +1,4 @@
+[Command]
+FileManager=pcmanfm %s
+Terminal=lxterminal -e %s
+Logout=lxde-logout
diff --git a/desktop/lxde-common/config/panel b/desktop/lxde-common/config/panel
new file mode 100644
index 0000000000..e81e5e5779
--- /dev/null
+++ b/desktop/lxde-common/config/panel
@@ -0,0 +1,184 @@
+# lxpanel <profile> config file. Manually editing is not recommended.
+# Use preference dialog in lxpanel to adjust config when you can.
+
+Global {
+ edge=bottom
+ allign=center
+ margin=0
+ widthtype=percent
+ width=95
+ height=26
+ transparent=0
+ tintcolor=#000000
+ alpha=0
+ setdocktype=1
+ setpartialstrut=1
+ usefontcolor=1
+ fontcolor=#ffffff
+ background=1
+ backgroundfile=/usr/share/lxpanel/images/background.png
+}
+
+Plugin {
+ type = space
+ Config {
+ Size=2
+ }
+}
+
+Plugin {
+ type = menu
+ Config {
+ image=/usr/share/lxpanel/images/my-computer.png
+ system {
+ }
+ separator {
+ }
+ item {
+ command=run
+ }
+ separator {
+ }
+ item {
+ image=gnome-logout
+ command=logout
+ }
+ }
+}
+
+Plugin {
+ type = launchbar
+ Config {
+ Button {
+ id=pcmanfm.desktop
+ }
+ Button {
+ id=mozilla-firefox.desktop
+ }
+ Button {
+ id=mozilla-thunderbird.desktop
+ }
+ Button {
+ id=lxterminal.desktop
+ }
+ }
+}
+
+Plugin {
+ type = space
+ Config {
+ Size=4
+ }
+}
+
+Plugin {
+ type = wincmd
+ Config {
+ Button1=iconify
+ Button2=shade
+ }
+}
+
+Plugin {
+ type = space
+ Config {
+ Size=4
+ }
+}
+
+Plugin {
+ type = wnckpager
+}
+
+Plugin {
+ type = space
+ Config {
+ Size=4
+ }
+}
+
+Plugin {
+ type = taskbar
+ expand=1
+ Config {
+ tooltips=1
+ IconsOnly=0
+ AcceptSkipPager=1
+ ShowIconified=1
+ ShowMapped=1
+ ShowAllDesks=0
+ UseMouseWheel=1
+ UseUrgencyHint=1
+ FlatButton=0
+ MaxTaskWidth=150
+ spacing=1
+ }
+}
+
+Plugin {
+ type = volumealsa
+}
+
+Plugin {
+ type = space
+ Config {
+ Size=4
+ }
+}
+
+Plugin {
+ type = netstatus
+ Config {
+ iface=eth0
+ configtool=network-admin --configure %i
+ }
+}
+
+Plugin {
+ type = space
+ Config {
+ Size=4
+ }
+}
+
+Plugin {
+ type = cpu
+}
+
+Plugin {
+ type = space
+ Config {
+ Size=4
+ }
+}
+
+Plugin {
+ type = cpufreq
+}
+
+Plugin {
+ type = dclock
+ Config {
+ ClockFmt=%R
+ TooltipFmt=%A %x
+ BoldFont=0
+ IconOnly=0
+ }
+}
+
+Plugin {
+ type = space
+ Config {
+ Size=4
+ }
+}
+
+Plugin {
+ type = launchbar
+ Config {
+ Button {
+ id=lxde-logout.desktop
+ }
+ }
+}
+
diff --git a/desktop/lxde-common/config/panel.patch b/desktop/lxde-common/config/panel.patch
deleted file mode 100644
index 4e84091e4d..0000000000
--- a/desktop/lxde-common/config/panel.patch
+++ /dev/null
@@ -1,101 +0,0 @@
---- lxde-common-0.5.0/lxpanel/panel.in.orig 2010-08-18 23:38:58.000000000 +0200
-+++ lxde-common-0.5.0/lxpanel/panel.in 2010-08-18 23:44:34.000000000 +0200
-@@ -3,10 +3,10 @@
-
- Global {
- edge=bottom
-- allign=left
-+ allign=center
- margin=0
- widthtype=percent
-- width=100
-+ width=95
- height=26
- transparent=0
- tintcolor=#000000
-@@ -29,7 +29,7 @@
- Plugin {
- type = menu
- Config {
-- image=@prefix@/share/lxde/images/lxde-icon.png
-+ image=@prefix@/share/lxpanel/images/my-computer.png
- system {
- }
- separator {
-@@ -53,7 +53,13 @@
- id=pcmanfm.desktop
- }
- Button {
-- id=firefox.desktop
-+ id=mozilla-firefox.desktop
-+ }
-+ Button {
-+ id=mozilla-thunderbird.desktop
-+ }
-+ Button {
-+ id=lxterminal.desktop
- }
- }
- }
-@@ -110,7 +116,29 @@
- }
-
- Plugin {
-- type = netstat
-+ type = volumealsa
-+}
-+
-+Plugin {
-+ type = space
-+ Config {
-+ Size=4
-+ }
-+}
-+
-+Plugin {
-+ type = netstatus
-+ Config {
-+ iface=eth0
-+ configtool=network-admin --configure %i
-+ }
-+}
-+
-+Plugin {
-+ type = space
-+ Config {
-+ Size=4
-+ }
- }
-
- Plugin {
-@@ -118,7 +146,14 @@
- }
-
- Plugin {
-- type = tray
-+ type = space
-+ Config {
-+ Size=4
-+ }
-+}
-+
-+Plugin {
-+ type = cpufreq
- }
-
- Plugin {
-@@ -127,6 +162,14 @@
- ClockFmt=%R
- TooltipFmt=%A %x
- BoldFont=0
-+ IconOnly=0
-+ }
-+}
-+
-+Plugin {
-+ type = space
-+ Config {
-+ Size=4
- }
- }
-
diff --git a/desktop/lxde-common/doinst.sh b/desktop/lxde-common/doinst.sh
index 3857649f50..171fb69289 100644
--- a/desktop/lxde-common/doinst.sh
+++ b/desktop/lxde-common/doinst.sh
@@ -1,3 +1,19 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/xdg/lxsession/LXDE/desktop.conf.new
+config etc/xdg/pcmanfm/LXDE/pcmanfm.conf.new
+
if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
diff --git a/desktop/lxde-common/lxde-common.SlackBuild b/desktop/lxde-common/lxde-common.SlackBuild
index 62e9f73e27..bee71a1d4e 100644
--- a/desktop/lxde-common/lxde-common.SlackBuild
+++ b/desktop/lxde-common/lxde-common.SlackBuild
@@ -22,14 +22,14 @@
# SUCH DAMAGE.
# -----------------------------------------------------------------------------
#
-# Slackware SlackBuild script
+# Slackware SlackBuild script
# ===========================
# By: Eric Hameleers <alien@slackware.com>
# For: lxde-common
# Descr: a set of default configurations for LXDE
# URL: http://lxde.sourceforge.net/
-# Needs:
-# Changelog:
+# Needs:
+# Changelog:
# 0.3.2.1-1: 04/jun/2008 by Eric Hameleers <alien@slackware.com>
# * Initial build.
# 0.4.2-1: 11/sep/2009 by Eric Hameleers <alien@slackware.com>
@@ -39,15 +39,18 @@
# * fixed lxpanel and xinitrc
# 20110313_736ded3: 29/mar/2011 by ponce <matteo.bernardini@gmail.com>
# * updated to git version.
-#
+# 0.5.5-1: 26/dec/2011 by ponce <matteo.bernardini@gmail.com>
+# * Update.
+# * su_cmd defaults to gksu-polkit.
+#
# Run 'sh lxde-common.SlackBuild' to build a Slackware package.
# The package is created in /tmp .
-# Install using 'installpkg'.
+# Install using 'installpkg'.
#
# -----------------------------------------------------------------------------
PRGNAM=lxde-common
-VERSION=${VERSION:-20110313_736ded3}
+VERSION=${VERSION:-0.5.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -96,13 +99,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Patch panel config to use slackware applications and slightly modify default config
-patch -p1 < $CWD/config/panel.patch
-
# Look for a renamed file
sed -i -e 's|lxde\.conf|LXDE.conf|' Makefile.am
-sh autogen.sh
+sh autogen.sh || true
CXXFLAGS="$SLKCFLAGS" \
CFLAGS="$SLKCFLAGS" \
@@ -120,13 +120,13 @@ CFLAGS="$SLKCFLAGS" \
make
make DESTDIR=$PKG install
-mkdir -p $PKG/usr/share/applications
-cp lxde-logout.desktop $PKG/usr/share/applications/
+# this slipped the make install
+install -m 0644 -D lxde-logout.desktop \
+ $PKG/usr/share/applications/lxde-logout.desktop
# Add a xinitrc file for xwmconfig:
-mkdir -p $PKG/etc/X11/xinit
-cp $CWD/config/xinitrc.lxde $PKG/etc/X11/xinit/
-chmod 755 $PKG/etc/X11/xinit/xinitrc.lxde
+install -m 0755 -D $CWD/config/xinitrc.lxde \
+ $PKG/etc/X11/xinit/xinitrc.lxde
# Make sure that KDM picks up the LXDE session type as well:
mkdir -p $PKG/usr/share/apps/kdm/sessions
@@ -137,6 +137,20 @@ mkdir -p $PKG/usr/share/apps/kdm/sessions
# Patch desktop.conf to use the Tango icon theme
sed -i -e 's#nuoveXT2#Tango#' $PKG/etc/xdg/lxsession/LXDE/desktop.conf
+# Patch pcmanfm.conf to use gksu-polkit by default instead of xdg-su
+sed -i -e "s|su_cmd.*|su_cmd=gksu-polkit '%s'|" \
+ $PKG/etc/xdg/pcmanfm/LXDE/pcmanfm.conf
+
+# preserve modified config files
+mv $PKG/etc/xdg/lxsession/LXDE/desktop.conf{,.new}
+mv $PKG/etc/xdg/pcmanfm/LXDE/pcmanfm.conf{,.new}
+
+# use some sane defaults for lxpanel
+install -m 0644 $CWD/config/panel \
+ $PKG/usr/share/lxpanel/profile/LXDE/panels/panel
+install -m 0644 $CWD/config/config \
+ $PKG/usr/share/lxpanel/profile/LXDE/config
+
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/desktop/lxde-common/lxde-common.info b/desktop/lxde-common/lxde-common.info
index e52fda5ce7..2b6f591030 100644
--- a/desktop/lxde-common/lxde-common.info
+++ b/desktop/lxde-common/lxde-common.info
@@ -1,10 +1,10 @@
PRGNAM="lxde-common"
-VERSION="20110313_736ded3"
+VERSION="0.5.5"
HOMEPAGE="http://www.lxde.org/"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/lxde/lxde-common-20110313_736ded3.tar.xz"
-MD5SUM="60a8b2049d02ff31bfb0de35a980c17b"
+DOWNLOAD="http://downloads.sourceforge.net/lxde/lxde-common-0.5.5.tar.gz"
+MD5SUM="e51a6b2a815a89fda1f497b509465a97"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="ponce"
EMAIL="matteo.bernardini@gmail.com"
-APPROVED="rworkman"
+APPROVED="Erik Hanson"
diff --git a/desktop/lxde-common/slack-desc b/desktop/lxde-common/slack-desc
index 47e5517236..82bcca6484 100644
--- a/desktop/lxde-common/slack-desc
+++ b/desktop/lxde-common/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
lxde-common: lxde-common (a set of default configurations for LXDE)
lxde-common:
-lxde-common: lxde-common package provides a set of default configurations and
+lxde-common: The lxde-common package provides a set of default configurations and
lxde-common: bitmaps for LXDE.
lxde-common: lxde-settings is the XSettings daemon of LXDE. It presents
lxde-common: configuration values to other programs via the XSETTINGS protocol
lxde-common: defined by freedesktop.org.
lxde-common:
-lxde-common:
lxde-common: lxde-common home: http://www.lxde.org/
lxde-common:
+lxde-common: